Subject: Re: [PATCH v3 0/8] config.c: use struct for config reading state

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Mar 2023 13:14:17 -0700

Glen Choo <[email-masked]> writes:

> "Glen Choo via GitGitGadget" <[email-masked]> writes:
>
>> Note to Junio: 8/8 (which renames "cs" -> "set") conflicts with
>> ab/config-multi-and-nonbool. I previously said that I'd rebase this, but
>> presumably a remerge-diff is more ergonomic + flexible (let me know if I'm
>> mistaken), so I'll send a remerge-diff in a reply (I don't trust GGG not to
>> mangle the patch :/).

A patch that is indented by two places would not be mechanically
applicable anyway and even without such indentation, the hunk-side
markers like c000d91638, gitster/ab/config-multi-and-nonbool, etc.
you have in the patch would be different from conflicts I would see,
so it wouldn't be very useful.  There should probably be a mode
where remerge-diff would omit these labels to help mechanical
application of such a "patch".

In any case, remerge-diff certainly helps eyeballing the result.

In this case, because the difference between v2 and v3 does not
overlap with the area that v2 (or v3 for that matter) would conflict
with other topics in flight, my rerere database can clealy reuse the
recorded resolution for conflicts between this iteration and the
topics in flight just fine.  I'll push out the integration result
after I am done with other topics.

Thanks.